info:
  name: Autorizzatori Centri
  type: http
  seq: 2

http:
  method: GET
  url: "{{IdemApiUrl}}/autoriz_ap_centri.php?cd_csa=106156"
  params:
    - name: cd_csa
      value: "094034"
      type: query
      description: Centro Interdipartimentale per l'Energia e l'Ambiente - CIDEA
      disabled: true
    - name: cd_csa
      value: "096185"
      type: query
      description: CENTRO DI RICERCA INTERDIPARTIMENTALE PER IL PACKAGING - CIPACK
      disabled: true
    - name: cd_csa
      value: "096186"
      type: query
      description: CENTRO INTERDIPARTIMENTALE PER LA SICUREZZA, TECNOLOGIE E INNOVAZIONE AGROALIMENTARE - SITEIA.PARMA
      disabled: true
    - name: cd_csa
      value: "096187"
      type: query
      description: FUTURE TECHNOLOGY LAB
      disabled: true
    - name: cd_csa
      value: "103405"
      type: query
      description: Centro Interdipartimentale di Ricerca di Oncologia Molecolare Translazionale - COMT
      disabled: true
    - name: cd_csa
      value: "103407"
      type: query
      description: CENTRO INTERDIPARTIMENTALE DI RICERCA PER L'INNOVAZIONE DEI PRODOTTI PER LA SALUTE, BIOPHARMANET-TEC
      disabled: true
    - name: cd_csa
      value: "105992"
      type: query
      description: Centro Universitario per la Cooperazione Internazionale
      disabled: true
    - name: cd_csa
      value: "106006"
      type: query
      description: Centro Universitario di Odontoiatria
      disabled: true
    - name: cd_csa
      value: "106007"
      type: query
      description: Centro Multidisciplinare Interdipartimentale Lattiero Caseario - MILC
      disabled: true
    - name: cd_csa
      value: "106008"
      type: query
      description: CENTRO DI MEDICINA DEL SONNO (C.M.S.)
      disabled: true
    - name: cd_csa
      value: "106010"
      type: query
      description: Centro di Eccellenza per la Ricerca Tossicologica - CERT
      disabled: true
    - name: cd_csa
      value: "106011"
      type: query
      description: Centro Interdipartimentale di Ricerca in Medicina dello Sport e dell'Esercizio Fisico - SEM
      disabled: true
    - name: cd_csa
      value: "106012"
      type: query
      description: CENTRO DI RICERCHE SULLO SPORT - CeRS
      disabled: true
    - name: cd_csa
      value: "106013"
      type: query
      description: CENTRO INTERDIPARTIMENTALE DI RICERCA UNIPR - CO LAB
      disabled: true
    - name: cd_csa
      value: "106014"
      type: query
      description: CENTRO PER LE ATTIVITA' E LE PROFESSIONI DELLE ARTI E DELLO SPETTACOLO - CAPAS
      disabled: true
    - name: cd_csa
      value: "106015"
      type: query
      description: CENTRO INTERDIPARTIMENTALE DI SICUREZZA STRADALE - DISS
      disabled: true
    - name: cd_csa
      value: "106016"
      type: query
      description: CENTRO DI  ECCELLENZA PER LO SVILUPPO E L' INNOVAZIONE TECNOLOGICA - CERIT
      disabled: true
    - name: cd_csa
      value: "106017"
      type: query
      description: CENTRO UNIVERSITARIO - CENTROACQUE.EU
      disabled: true
    - name: cd_csa
      value: "106027"
      type: query
      description: Centro di Servizi per la Salute, Igiene e Sicurezza nei luoghi di lavoro
      disabled: true
    - name: cd_csa
      value: "106147"
      type: query
      description: Centro Studi in Affari Europei e Internazionali - Center for Studies in European and International Affairs - C.S.E.I.A.
      disabled: true
    - name: cd_csa
      value: "106158"
      type: query
      description: Centro Universitario di Bioetica - U.C.B.
      disabled: true
    - name: cd_csa
      value: "106176"
      type: query
      description: Centro di Formazione e Ricerca su Organizzazione, Qualita' e Sostenibilita' dei Sistemi Sanitari - LABSAN
      disabled: true
    - name: cd_csa
      value: "106177"
      type: query
      description: Centro Studi Catulliani - C.S.C.
      disabled: true
    - name: cd_csa
      value: "106178"
      type: query
      description: Centro Servizi E-Learning e Multimediali di Ateneo
      disabled: true
    - name: cd_csa
      value: "106179"
      type: query
      description: Ro.S.A. - Robust Statistics Academy
      disabled: true
    - name: cd_csa
      value: "106195"
      type: query
      description: CIRS - Centro Interdipartimentale di Ricerca Sociale - Diritti, Societa' e Civilta'
      disabled: true
    - name: cd_csa
      value: "106207"
      type: query
      description: Centro Interdipartimentale di Ricerca per il Microbiota "Microbiome Research Hub"
      disabled: true
    - name: cd_csa
      value: "106208"
      type: query
      description: Centro Linguistico di Ateneo (C.L.A.)
      disabled: true
    - name: cd_csa
      value: "106227"
      type: query
      description: Centro di Ateneo per L'inclusione (C.A.I)
      disabled: true
    - name: cd_csa
      value: "106236"
      type: query
      description: Centro Interdipartimentale di Ricerca per la conservazione, la costruzione e la rigenerazione di edifici e infrastrutture - CICCREI
      disabled: true
    - name: cd_csa
      value: "106247"
      type: query
      description: Centro Interdipartimentale per le Neuroimmagini - CIN
      disabled: true
    - name: cd_csa
      value: "106272"
      type: query
      description: Centro Multidisciplinare per la Formazione degli Insegnanti e l'Innovazione Didattica CEFID)
      disabled: true
    - name: cd_csa
      value: "106286"
      type: query
      description: Centro di Ricerche su Sport, E-Sport e Game - RiSEG
      disabled: true
    - name: id_ab
      value: "186474"
      type: query
      disabled: true
    - name: cd_csa
      value: "300216"
      type: query
      description: Centro di Servizi e Misure G. Casnati
      disabled: true
    - name: cd_csa
      value: "300221"
      type: query
      description: Centro Studi e Archivio della Comunicazione
      disabled: true
    - name: id_ab
      value: "259638"
      type: query
      disabled: true
    - name: id_ab
      value: "186473"
      type: query
      disabled: true
    - name: id_ab
      value: "199930"
      type: query
      disabled: true
    - name: cd_csa
      value: "480068"
      type: query
      disabled: true
    - name: id_ab
      value: "198174"
      type: query
      disabled: true
    - name: cd_csa
      value: "106156"
      type: query
  auth: inherit

settings:
  encodeUrl: true
  timeout: 0
  followRedirects: true
  maxRedirects: 5
  forwardAuthorizationHeader: true

examples:
  - name: Autorizzatori - Success
    request:
      url: "{{IdemApiUrl}}/autoriz_ap.php?id_ab=186471"
      method: GET
      params:
        - name: id_ab
          value: "186473"
          type: query
          description: Dipartimento di Ingegneria e Architettura
          disabled: true
        - name: id_ab
          value: "186469"
          type: query
          description: Dipartimento di Scienze Matematiche, Fisiche e Informatiche
          disabled: true
        - name: id_ab
          value: "22160"
          type: query
          disabled: true
        - name: id_ab
          value: "186471"
          type: query
          description: "Dipartimento di Scienze Chimiche, della Vita e della Sostenibilità Ambientale "
    response:
      statusText: "200"
      headers:
        - name: Date
          value: Tue, 03 Jun 2025 07:16:52 GMT
        - name: Server
          value: Apache/2.2.15 (CentOS)
        - name: X-Powered-By
          value: PHP/5.3.3
        - name: Content-Length
          value: "742"
        - name: Connection
          value: close
        - name: Content-Type
          value: application/json
      body:
        type: json
        data: |-
          {
              "Cognome direttore": "CORRADINI",
              "Nome direttore": "Roberto",
              "Titolo direttore": "Prof.",
              "Codice fiscale direttore": "CRRRRT63T31H223A",
              "Email direttore": "roberto.corradini@unipr.it",
              "ID_AB direttore": "16044",
              "ID Struttura direttore": "186471",
              "Descrizione struttura direttore": "Dipartimento di Scienze Chimiche, della Vita e della Sostenibilità Ambientale ",
              "Cognome RAG": "RAMIGNI",
              "Nome RAG": "Michele",
              "Titolo RAG": "Dott.",
              "Codice fiscale RAG": "Michele",
              "Email responsabile scientifico": "michele.ramigni@unipr.it",
              "ID_AB responsabile scientifico": "15541",
              "ID Struttura responsabile scientifico": "186471",
              "Descrizione struttura responsabile scientifico": "Dipartimento di Scienze Chimiche, della Vita e della Sostenibilità Ambientale "
          }
  - name: Autorizzatori - Nessun direttore
    request:
      url: "{{IdemApiUrl}}/autoriz_ap.php?id_ab=22160"
      method: GET
      params:
        - name: id_ab
          value: "186473"
          type: query
          description: Dipartimento di Ingegneria e Architettura
          disabled: true
        - name: id_ab
          value: "186469"
          type: query
          description: Dipartimento di Scienze Matematiche, Fisiche e Informatiche
          disabled: true
        - name: id_ab
          value: "22160"
          type: query
        - name: id_ab
          value: "186471"
          type: query
          description: "Dipartimento di Scienze Chimiche, della Vita e della Sostenibilità Ambientale "
          disabled: true
    response:
      statusText: "200"
      headers:
        - name: Date
          value: Tue, 03 Jun 2025 07:30:24 GMT
        - name: Server
          value: Apache/2.2.15 (CentOS)
        - name: X-Powered-By
          value: PHP/5.3.3
        - name: Content-Length
          value: "29"
        - name: Connection
          value: close
        - name: Content-Type
          value: application/json
      body:
        type: json
        data: |-
          {
              "errore": "Nessun direttore"
          }

docs: |-
  | ID_AB  | CD_CSA | CD_NODO | DENOMINAZIONE                                                                 |
  | :----- | :----- | :------ | :---------------------------------------------------------------------------- |
  | 186449 | 106148 | 300800  | Dipartimento di Scienze Medico-Veterinarie                                    |
  | 186469 | 106150 | 300810  | Dipartimento di Scienze Matematiche, Fisiche e Informatiche                   |
  | 186470 | 106151 | 300820  | Dipartimento di Giurisprudenza, Studî Politici e Internazionali               |
  | 186471 | 106152 | 300830  | Dipartimento di Scienze Chimiche, della Vita e della Sostenibilità Ambientale |
  | 186472 | 106153 | 300840  | Dipartimento di Scienze Economiche e Aziendali                                |
  | 186473 | 106154 | 300850  | Dipartimento di Ingegneria e Architettura                                     |
  | 186474 | 106155 | 300860  | Dipartimento di Medicina e Chirurgia                                          |
  | 186475 | 106156 | 300870  | Dipartimento di Discipline Umanistiche, Sociali e delle Imprese Culturali     |
  | 186478 | 106157 | 300880  | Dipartimento di Scienze degli Alimenti e del Farmaco                          |
  | 259638 | 106277 | 300890  | Dipartimento di Ingegneria dei Sistemi e delle Tecnologie Industriali - DISTI |
